Subject: Re: [PATCH net] net: Drop the lock in skb_may_tx_timestamp()

From: Willem de Bruijn <[email-masked]>
Date: Tue, 17 Feb 2026 09:14:11 -0500

Sebastian Andrzej Siewior wrote:
> On 2026-02-16 13:08:43 [-0500], Willem de Bruijn wrote:
> > It will be great to have this additional context in the commit
> > message.
> > 
> > And a Link: to the original discussion thread.
> 
> Okay.
> 
> > Btw, the commit states that a few drivers already call this from their
> > hard interrupt handler. Can you point to one or two?
> 
> - bxcan_tx_isr() -> can_get_echo_skb() -> __can_get_echo_skb() ->
>   skb_tstamp_tx()
> 
> - at91_irq() -> at91_irq_tx() -> can_get_echo_skb() -> … ->
>   skb_tstamp_tx()
> 
> - hclge_misc_irq_handle() -> hclge_ptp_clean_tx_hwts() ->
>   skb_tstamp_tx()
> 
> - igc_intr_msi() -> igc_tsync_interrupt() -> igc_ptp_tx_tstamp_event()
>   -> igc_ptp_tx_hwtstamp() -> igc_ptp_tx_reg_to_stamp() ->
>   skb_tstamp_tx()
> 
> > If this is only for new drivers, it would be vastly preferable if this
> > can go through net-next.
> 
> I found three, I knew about igc. I don't mind net-next but if we keep
> the stable tag, it will be backported anyway, it will just take longer.
> But if we want to do this in order to catch problems with it before it
> hits stable then it makes sense.

These are more than enough cases to warrant net. Thanks.